Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Price changing which students attend upcoming lessons before change_private_lesson_roster.

Price changing which students attend upcoming lessons before change_private_lesson_roster. An organization-scoped read using JSON filter arguments; requires private_lessons.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/quote_private_lesson_roster_change
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
appointment_idsstring[]required
booking_idstringrequired

Opaque Soljio resource ID.

min length 1
keep_priceboolean
participant_idsstring[]required
nownumberrequired
Responses
200

Successful read.

dataobjectrequired
Show properties
balance_minornumberrequired
currencystringrequired
delta_minornumberrequired
lessonsobject[]required
Show properties
Array of object
appointment_idstringrequired

Opaque Soljio resource ID.

min length 1
cash_afternumberrequired
cash_beforenumberrequired
credits_afternumberrequired
credits_beforenumberrequired
starts_atstring<date-time>required
students_afternumberrequired
students_beforenumberrequired
timezonestringrequired
total_afternumberrequired
total_beforenumberrequired
refund_due_minornumberrequired
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/quote_private_lesson_roster_change' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "appointment_ids": [
    "string"
  ],
  "booking_id": "string",
  "keep_price": true,
  "participant_ids": [
    "string"
  ],
  "now": 0
}'
Response
{
  "data": {
    "balance_minor": 0,
    "currency": "string",
    "delta_minor": 0,
    "lessons": [
      {
        "appointment_id": "string",
        "cash_after": 0,
        "cash_before": 0,
        "credits_after": 0,
        "credits_before": 0,
        "starts_at": "2019-08-24T14:15:22Z",
        "students_after": 0,
        "students_before": 0,
        "timezone": "string",
        "total_after": 0,
        "total_before": 0
      }
    ],
    "refund_due_minor": 0
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}